Bug 864605 - Include Cores value in certificates
Include Cores value in certificates
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: William Poteat
Katello QA List
:
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2012-10-09 14:01 EDT by Amanda Carter
Modified: 2015-05-14 10:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-29 15:05:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amanda Carter 2012-10-09 14:01:16 EDT
Customer Data will be adding a new sku attribute for Cores. When it's added and IT has included it on the pool, it should be included in a certificate so that valid subscription checking can be based on this value. I'm guessing you guys will just need the value from the pool to pull that in, but let me know if you need anything else.

I've listed this in 6.4 as wishful thinking I know. It should ideally go out with any RAM support that's completed.
Comment 1 Sharath Dwaral 2013-10-11 15:10:40 EDT
Version:

# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.29-1
subscription-manager: 1.10.2-1.el7
python-rhsm: 1.10.2-1.el7


{:subscriptionId "8a8d01e041a7c68b0141a7c6ec0e03c4",
 :href "/pools/8a8d01e041a7c68b0141a7c6f17f0472",
 :restrictedToUsername nil,
 :endDate "2014-10-11T00:00:00.000+0000",
 :activeSubscription true,
 :stackId nil,
 :sourceStackId nil,
 :contractNumber "0",
 :sourceEntitlement nil,
 :quantity 5,
 :orderNumber "order-8675309",
 :derivedProductAttributes [],
 :calculatedAttributes
 {:quantity_increment "1", :suggested_quantity "1"},
 :sourceConsumer nil,
 :derivedProductName nil,
 :startDate "2013-10-11T00:00:00.000+0000",
 :providedProducts
 [{:created "2013-10-11T13:48:55.040+0000",
   :updated "2013-10-11T13:48:55.040+0000",
   :id "8a8d01e041a7c68b0141a7c6f180047c",
   :productId "900",
   :productName "Multi-Attribute Limited Product"}],
 :owner
 {:id "8a8d01e041a7c68b0141a7c6a58f0003",
  :key "admin",
  :displayName "Admin Owner",
  :href "/owners/admin"},
 :accountNumber "12331131231",
 :productId "non-stacked-8core4ram-multiattr",
 :attributes [],
 :consumed 0,
 :created "2013-10-11T13:48:55.039+0000",
 :updated "2013-10-11T15:53:21.097+0000",
 :type "NORMAL",
 :exported 0,
 :derivedProductId nil,
 :id "8a8d01e041a7c68b0141a7c6f17f0472",
 :productAttributes
 [{:created "2013-10-11T13:48:55.039+0000",
   :updated "2013-10-11T13:48:55.039+0000",
   :id "8a8d01e041a7c68b0141a7c6f17f0473",
   :name "variant",
   :value "ALL",
   :productId "non-stacked-8core4ram-multiattr"}
  {:created "2013-10-11T13:48:55.039+0000",
   :updated "2013-10-11T13:48:55.039+0000",
   :id "8a8d01e041a7c68b0141a7c6f17f0474",
   :name "support_level",
   :value "Premium",
   :productId "non-stacked-8core4ram-multiattr"}
  {:created "2013-10-11T13:48:55.039+0000",
   :updated "2013-10-11T13:48:55.039+0000",
   :id "8a8d01e041a7c68b0141a7c6f17f0475",
   :name "arch",
   :value "ALL",
   :productId "non-stacked-8core4ram-multiattr"}
  {:created "2013-10-11T13:48:55.039+0000",
   :updated "2013-10-11T13:48:55.039+0000",
   :id "8a8d01e041a7c68b0141a7c6f17f0476",
   :name "type",
   :value "MKT",
   :productId "non-stacked-8core4ram-multiattr"}
  {:created "2013-10-11T13:48:55.040+0000",
   :updated "2013-10-11T13:48:55.040+0000",
   :id "8a8d01e041a7c68b0141a7c6f1800477",
   :name "support_type",
   :value "Level 3",
   :productId "non-stacked-8core4ram-multiattr"}
  {:created "2013-10-11T13:48:55.040+0000",
   :updated "2013-10-11T13:48:55.040+0000",
   :id "8a8d01e041a7c68b0141a7c6f1800478",
   :name "multi-entitlement",
   :value "yes",
   :productId "non-stacked-8core4ram-multiattr"}
  {:created "2013-10-11T13:48:55.040+0000",
   :updated "2013-10-11T13:48:55.040+0000",
   :id "8a8d01e041a7c68b0141a7c6f1800479",
   :name "ram",
   :value "4",
   :productId "non-stacked-8core4ram-multiattr"}
  {:created "2013-10-11T13:48:55.040+0000", 
   :updated "2013-10-11T13:48:55.040+0000",
   :id "8a8d01e041a7c68b0141a7c6f180047a",
   :name "cores",             <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<  CORES
   :value "8",
   :productId "non-stacked-8core4ram-multiattr"}
  {:created "2013-10-11T13:48:55.040+0000",
   :updated "2013-10-11T13:48:55.040+0000",
   :id "8a8d01e041a7c68b0141a7c6f180047b",
   :name "version",
   :value "1.0",
   :productId "non-stacked-8core4ram-multiattr"}],
 :subscriptionSubKey "master",
 :productName
 "Multi-Attribute (multi-entitlement only) (8 cores, 4GB)",
 :stacked false,
 :derivedProvidedProducts []}



=== Overriding facts ===
# cat /etc/rhsm/facts/override.facts 
{"cpu.cpu_socket(s)":"4","cpu.core(s)_per_socket":"4"}

=== Stackable subscription with cores ====
# subscription-manager list --available | grep "Multi-Attribute Stackable (4 cores)" -A10
Subscription Name: Multi-Attribute Stackable (4 cores)
SKU:               cores4-multiattr
Pool ID:           8a8d01e041a7c68b0141a7c6ff8d072c
Available:         8
Service Level:     Premium
Service Type:      Level 3
Multi-Entitlement: Yes
Ends:              10/10/2014
System Type:       Physical

Subscription Name: Multi-Attribute Stackable (4 cores)
SKU:               cores4-multiattr
Pool ID:           8a8d01e041a7c68b0141a7c6ffc9074c
Available:         5
Service Level:     Premium
Service Type:      Level 3
Multi-Entitlement: Yes
Ends:              10/10/2014
System Type:       Physical

# subscription-manager subscribe --pool 8a8d01e041a7c68b0141a7c6ff8d072c --quantity 2

# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Multi-Attribute Stackable (4 cores)
Provides:          Multi-Attribute Limited Product
SKU:               cores4-multiattr
Contract:          1
Account:           12331131231
Serial:            2968821736227424333
Pool ID:           8a8d01e041a7c68b0141a7c6ff8d072c
Active:            True
Quantity Used:     2
Service Level:     Premium
Service Type:      Level 3
Status Details:    Only covers 8 of 16 cores.    <<<<<<<<<<<<<<<
Starts:            10/10/2013
Ends:              10/10/2014



VERIFIED
Comment 2 Bryan Kearney 2014-09-29 15:05:11 EDT
These bugs were fixed during 7.0 but not moved to CLOSED. They have been delivered

Note You need to log in before you can comment on or make changes to this bug.